/************************************************************
*
*     images classificator 
* 
*     FILE : classificator.h
*  CREATED : 20.02.2003
*       OS : FreeBSD 4.6
* COMPILER : GNU project C and C++ Compiler (gcc-2.95.3)
*
*************************************************************
*
*  Copyright (C) Evgeny S. Borisov
*
*  Glushkov Institute of Cybernetics
*  National Academy of Sciences of Ukraine
* 
*    http://mechanoid.narod.ru
*  e-mail : periodical@ukrpost.net
* 
************************************************************/
#ifndef CLASSIFICATOR_H
#define CLASSIFICATOR_H

#include "perceptron.h"
#include "patterns.h"

const weight_t ERR=0.0001;// max net error
const uint     MAX_ITER=555; //max number iteration of teaching

///////////////////////////////////////
class Classificator: public Perceptron
{
public:
   Classificator();
   virtual ~Classificator();
   
   void set(uint n);
   virtual void teach();
   virtual void printIn();
   virtual void printOut();
   
protected:
//   void teach(uint n);
  
};

#endif
